## sdlvideosink sdlvideosink — An SDL-based videosink |

## Synopsis

    struct              GstSDLVideoSink;

## Implemented Interfaces

GstSDLVideoSink implements GstImplementsInterface, GstXOverlay and GstNavigation.

## Properties

      "fullscreen"               gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | sdl
author | Ronald Bultje <rbultje@ronald.bitfreak.net>, Edgard Lima <edgard.lima@indt.org.br>, Jan Schmidt <thaytan@mad.scientist.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 100/1 ]
| video/x-raw-yuv, format=(fourcc)YV12, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 100/1 ]
| video/x-raw-yuv, format=(fourcc)YUY2, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 100/1 ]
| video/x-raw-yuv, format=(fourcc)YVYU, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 100/1 ]
| video/x-raw-yuv, format=(fourcc)UYVY, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 100/1 ]

## Details

### struct GstSDLVideoSink

    struct GstSDLVideoSink {
      GstVideoSink videosink;

      guint32 format;       /* the SDL format                      */
      guint32 fourcc;       /* our fourcc from the caps            */

      gint width, height;   /* the size of the incoming YUV stream */
      unsigned long xwindow_id;
      gboolean is_xwindows;

      gint framerate_n;
      gint framerate_d;

      gboolean full_screen;
      gboolean init;
      gboolean running;
      GThread *event_thread;
      SDL_Surface *screen;
      SDL_Overlay *overlay;
      SDL_Rect rect;

      GMutex *lock;
    };

## Property Details

### The `"fullscreen"` property

      "fullscreen"               gboolean              : Read / Write

If true it will be Full screen.

Default value: FALSE